"""
This module provides unit tests for the BlackboardDatum class.
"""


# standard imports
import unittest


# local imports
from pyGameAIFoundation.blackboard_datum import BlackboardDatum


class Test_blackboard_datum(unittest.TestCase):
    def test_init_datum_type_value_props(self):
        bd = BlackboardDatum(datum_type="Starbase Quadrant X", value=4)
        exp_val = ('Starbase Quadrant X', 4)
        act_val = (bd.datum_type, bd.value)
        self.assertTupleEqual(exp_val, act_val)


if __name__ == '__main__':
    unittest.main()